varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
void main()
{
    mediump vec4 color1 = texture2D(inputImageTexture, textureCoordinate);
    mediump vec4 color2 = texture2D(inputImageTexture2, textureCoordinate2);
    
    mediump float ra = color2.r + (1.0 - color2.a) * color1.r;
    mediump float ga = color2.g + (1.0 - color2.a) * color1.g;
    mediump float ba = color2.b + (1.0 - color2.a) * color1.b;
    
    gl_FragColor = vec4(ra, ga, ba, color1.a);
}
