#version 100
uniform mat4 uMVPMatrix;
uniform mat4 uTextureMatrix;
attribute vec4 position;
attribute vec4 inputTextureCoordinate;
varying vec2 textureCoordinate;

void main() {
    gl_Position = uMVPMatrix * position * vec4(-1, -1, 1, 1);
    textureCoordinate = (uTextureMatrix * inputTextureCoordinate).xy;
}