
// poly fill for setTimeout setInterval clearInterval clearTimeout

let timerCallPollyFillGetFunUid = 1
const timerCallPollyFillGetFuns = {}

function timerCallBack(id) {
  const fun = timerCallPollyFillGetFuns[id]
  if (fun && typeof fun === 'function') {
    fun()
  } else {
    console.error(`error timerCallBack id ${id}`)
  }
}

function setTimeout (callback, time) {
  const uid = timerCallPollyFillGetFunUid++
  timerCallPollyFillGetFuns[uid] = () => {
    callback()
    delete timerCallPollyFillGetFuns[uid]
  }
  setTimeoutPollyFill(uid, time)
  return uid
}

function setInterval (callback, time) {
  const uid = timerCallPollyFillGetFunUid++
  timerCallPollyFillGetFuns[uid] = () => {
    callback()
  }
  setIntervalPollyFill(uid, time)
  return uid
}

function clearInterval (id) {
  clearIntervalPollyFill(id)
  delete timerCallPollyFillGetFuns[id]
}

function clearTimeout (id) {
  clearTimeoutPollyFill(id)
  delete timerCallPollyFillGetFuns[id]
}